<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!--  param : selectedOrder -->
    <s:decorate template="/common/abstractOrderDetails.xhtml">
        <ui:param name="enableStatusEdit" value="false"/>
        <ui:define name="displayUniversalServiceId">
            <dl class="dl-horizontal">
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['gazelle.ordermanager.UniversalServiceID_2']}</ui:define>
                    <h:outputText
                            value="#{valueSet.getDisplayNameForCode('radUniversalServiceId', selectedOrder.universalServiceId)}"
                            rendered="#{not selectedOrder.domain.keyword.equals('EYE')}"/>
                    <h:outputText
                            value="#{valueSet.getDisplayNameForCode('eyeUniversalServiceId', selectedOrder.universalServiceId)}"
                            rendered="#{selectedOrder.domain.keyword.equals('EYE')}"/>
                </s:decorate>
            </dl>
        </ui:define>
    </s:decorate>
    <dl class="dl-horizontal">
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.ordermanager.TransportationMode']}</ui:define>
            <h:outputText
                    value="#{valueSet.getDisplayNameForCode('transportationMode', selectedOrder.transportationMode)}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.ordermanager.TransportArranged']}</ui:define>
            <h:outputText
                    value="#{valueSet.getDisplayNameForCode('transportArranged', selectedOrder.transportArranged)}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.ordermanager.DangerCode']}</ui:define>
            <h:outputText value="#{valueSet.getDisplayNameForCode('danger', selectedOrder.dangerCode)}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenSource']}</ui:define>
            <h:outputText value="#{selectedOrder.specimenSource}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.ordermanager.RelevantClinicalInfo']}</ui:define>
            <h:outputText value="#{selectedOrder.relevantClinicalInfo}"/>
        </s:decorate>
    </dl>
</ui:composition>
